locked
WSUS 3.0SP2 on Server 2008 R2 with SQL 2012 RRS feed

  • Question

  • I need to know if Microsoft will support WSUS 3.0 SP2 running on Server 2008 R2 with SQL 2012 as a backend DB? customer is on WSUS 3.0 SP2 at central location and is building a downstream wsus server, and they what to keep wsus at the same level, so also staying on Server 2008 R2 for now. however, the DB team would like to go to SQL Server 2012, as they are doing a huge upgrade now and want SQL Server 2012 to be their 'minimum' level for any new DB being installed.  Since the WSUS 3.0 support article was last updated in 2011, it predates the release of SQL 2012  .  Wsus 4.0 on Server 2012 is supported on SQL 2012 and SQL 2008, but will WSUS 3.0 SP2 be supported on SQL 2012?

    Thanks

    Dave

    Wednesday, February 18, 2015 9:05 PM

Answers

  • Hi Dave,

    WSUS 3.0 SP2 requirements listed here 

    WSUS database requirements

    WSUS 3.0 SP2 requires a SQL Server database, which must be at least one of the following versions or editions:

    • Windows Internal Database 
    • Microsoft SQL Server 2008 Standard or Enterprise Edition 
    • Microsoft SQL Server 2005 with SP3 
    • Microsoft SQL Server 2005 Express Edition with SP3

    • Proposed as answer by Vivian_Wang Monday, March 9, 2015 7:12 AM
    • Marked as answer by Vivian_Wang Tuesday, March 10, 2015 1:53 AM
    Thursday, February 19, 2015 8:35 AM
  • Hi,

    The article did not mentioned if WSUS is supported on SQL Server 2012,  but  if it works - the installation guidance would be exactly the same as it is for SQL Server 2008 or SQL Server 2005.

    Regards.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com

    • Proposed as answer by Vivian_Wang Monday, March 9, 2015 7:12 AM
    • Marked as answer by Vivian_Wang Tuesday, March 10, 2015 1:53 AM
    Thursday, February 19, 2015 9:39 AM
  • Hi,

    The article did not mentioned if WSUS is supported on SQL Server 2012,  but  if it works - the installation guidance would be exactly the same as it is for SQL Server 2008 or SQL Server 2005.

    Regards.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com

    Correct: if SQL 2012 was supported it would be listed. It  might work, but isn't a supported configuration.
    • Proposed as answer by Vivian_Wang Monday, March 9, 2015 7:12 AM
    • Marked as answer by Vivian_Wang Tuesday, March 10, 2015 1:53 AM
    Thursday, February 19, 2015 10:58 AM

All replies

  • Hi Dave,

    WSUS 3.0 SP2 requirements listed here 

    WSUS database requirements

    WSUS 3.0 SP2 requires a SQL Server database, which must be at least one of the following versions or editions:

    • Windows Internal Database 
    • Microsoft SQL Server 2008 Standard or Enterprise Edition 
    • Microsoft SQL Server 2005 with SP3 
    • Microsoft SQL Server 2005 Express Edition with SP3

    • Proposed as answer by Vivian_Wang Monday, March 9, 2015 7:12 AM
    • Marked as answer by Vivian_Wang Tuesday, March 10, 2015 1:53 AM
    Thursday, February 19, 2015 8:35 AM
  • Hi,

    The article did not mentioned if WSUS is supported on SQL Server 2012,  but  if it works - the installation guidance would be exactly the same as it is for SQL Server 2008 or SQL Server 2005.

    Regards.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com

    • Proposed as answer by Vivian_Wang Monday, March 9, 2015 7:12 AM
    • Marked as answer by Vivian_Wang Tuesday, March 10, 2015 1:53 AM
    Thursday, February 19, 2015 9:39 AM
  • Hi,

    The article did not mentioned if WSUS is supported on SQL Server 2012,  but  if it works - the installation guidance would be exactly the same as it is for SQL Server 2008 or SQL Server 2005.

    Regards.


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. If you have feedback for TechNet Support, contact tnmff@microsoft.com

    Correct: if SQL 2012 was supported it would be listed. It  might work, but isn't a supported configuration.
    • Proposed as answer by Vivian_Wang Monday, March 9, 2015 7:12 AM
    • Marked as answer by Vivian_Wang Tuesday, March 10, 2015 1:53 AM
    Thursday, February 19, 2015 10:58 AM